query Me($first: Int!, $after: String) {
    me {
        ...ChannelsList_list
    }
}

fragment ChannelsList_list on User {
    channels(first: $first, after: $after) {
        totalCount
        pageInfo {
            hasNextPage
            endCursor
            hasPreviousPage
            startCursor
        }
        edges {
            cursor

            node {
                ...Channel_item
            }
        }
    }
}

fragment Channel_item on Channel {
    name
    description
    poster
    address
}
